
%define module cups

Summary:       Python bindings for the CUPS API
Name:          python-%{module}
Version:       1.9.45
%define        subrel 1
Release:       %mkrel 0
Source0:       http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2
License:       BSD 
Group:         Development/Python
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:           http://cyberelk.net/tim/software/pycups/
%py_requires -d
BuildRequires: cups-devel

%description
Python bindings for the CUPS API.


%files
%defattr(-,root,root)
%{py_platsitedir}/*.egg-info
%{py_platsitedir}/cups.so

#--------------------------------------------------------------------

%prep
%setup -n pycups-%version

%build
make
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --skip-build --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Jun 16 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.45-0.1mdv2009.0
+ Revision: 386487
- update to version 1.9.45, merged from 2009.1

* Thu Sep 04 2008 Tiago Salem <salem@mandriva.com.br> 1.9.42-1mdv2009.0
+ Revision: 280914
- version 1.9.42

* Tue Jul 15 2008 Funda Wang <fundawang@mandriva.org> 1.9.41-1mdv2009.0
+ Revision: 235722
- update to new version 1.9.41

* Sat Jun 21 2008 Funda Wang <fundawang@mandriva.org> 1.9.40-1mdv2009.0
+ Revision: 227651
- update to new version 1.9.40

* Fri Jun 13 2008 Tiago Salem <salem@mandriva.com.br> 1.9.39-1mdv2009.0
+ Revision: 218828
- version 1.9.39

* Sat May 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.9.38-2mdv2009.0
+ Revision: 205407
- Fix Spec file
- import python-cups


